<?php
// (c)2006 Matteo Lucarelli
// 3editor configuration file

// list of possible editng page (for secure file inclusion in index.php)
$editpages = array("fixedit.php", "optedit.php", "sectionedit.php" , "treeedit.php");

// absolute path on server - with SLASH/
define ("ABS_PATH","/var/www/3editor/");

// relative path of data folder - with SLASH/
define ("DATA_DIR","data/");

// xml file name of tree
define ("XML_TREE","tree.xml");

// xml file name of sections 
define ("XML_SECT","section.xml");

// max dim of thumbnails in pixel
define ("THUMB_MAXW", "100");
define ("THUMB_MAXH", "100");

// tool used to generate thumb: I=imagemagik | L=libgd
define ("THUMB_GEN", "I");

// convert/imagemagik command path ( "" if standard )
define ("IMGMGK_PATH", "");

// toggle use of global section data ( "1" to use )
define ("MAIN_DATA_SECTION", "0");

// XML encoding ("UTF8", "ISO-8859-1", ecc.)
define ("XML_ENCODING", "ISO-8859-1");

// limit nested level in tree structure
define ("LIMIT_NEST", "1");

// avoid content-editing under nested-level
define ("LIMIT_CONTENT", "1" );

// optedit.php ********************************************
// every optional sections creates a name.xml (lowercased)
$optsection=Array("Links", "News");

// field labels in optional sections
$optfield['Links'][0]="Title";
$optfield['Links'][1]="URL";
$optfield['Links'][2]="Description";
$optfield['News'][0]="Date";
$optfield['News'][1]="Section";
$optfield['News'][2]="Description";

// fixedit.php ********************************************
// fixed file editing section ("0" means none) 
define ("FX_FILES_SECTION", "Files");

// fixed file list 
define ("XML_FXFILES","file.xml");

// labels and paths (from DATADIR) of editable fixed files
$ffs[0]['label']="Background image (jpg)";
$ffs[0]['path']="back.jpg";
$ffs[1]['label']="Music (mp3)";
$ffs[1]['path']="bacjk.mp3";
$ffs[2]['label']="Downloadable flyer (pdf)";
$ffs[2]['path']="flyer.pdf";

?>
